org.jbpm.executor.commands.error

## Class JobAutoAckErrorCommand

- java.lang.Object
- - org.jbpm.executor.commands.error.AutoAckErrorCommand
  - - org.jbpm.executor.commands.error.JobAutoAckErrorCommand

- All Implemented Interfaces:
    org.kie.api.executor.Command, org.kie.api.executor.Reoccurring

      public class JobAutoAckErrorCommand
      extends AutoAckErrorCommand

  Command that will auto acknowledge async jobs errors based on their status: - if job that previously failed is completed it will be eligible for auto ack - if job that previously failed is cancelled it will be eligible for auto ack - if job that previously failed is rescheduled it will be eligible for auto ack Following parameters are supported by this command:
  - EmfName - name of entity manager factory to be used for queries (valid persistence unit name)
  - SingleRun - indicates if execution should be single run only (true|false)
  - NextRun - provides next execution time (valid time expression e.g. 1d, 5h, etc)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobAutoAckErrorCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<ExecutionErrorInfo>` | `findErrorsToAck(javax.persistence.EntityManager em)` Responsible to look up all errors that can be auto acknowledged.
    `protected String` | `getAckRule()` Returns description of why given jobs can be auto ack'ed

    - ### Methods inherited from class org.jbpm.executor.commands.error.AutoAckErrorCommand

      `execute, getScheduleTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobAutoAckErrorCommand

          public JobAutoAckErrorCommand()

  - ### Method Detail

    - #### findErrorsToAck

          protected List<ExecutionErrorInfo> findErrorsToAck(javax.persistence.EntityManager em)

      Description copied from class: `AutoAckErrorCommand`
      Responsible to look up all errors that can be auto acknowledged.
      Specified by:
        `findErrorsToAck` in class `AutoAckErrorCommand`
      Parameters:
        `em` - instance of entity manager to access db
      Returns:
        returns always not null list of results

    - #### getAckRule

          protected String getAckRule()

      Description copied from class: `AutoAckErrorCommand`
      Returns description of why given jobs can be auto ack'ed
      Specified by:
        `getAckRule` in class `AutoAckErrorCommand`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.